Skip to navigation

Update a Node Pool.

Deprecated
View as Markdown

Use to update the details of a node pool by Universally Unique Identifier (UUID). Deprecated, please use PATCH /api/v1/node-pools/{id} instead.

Authentication

AuthorizationBearer
Bearer authentication

Path parameters

clusterIdstringRequiredformat: "uuid"
Unique identifier of the cluster
nodepoolIdstringRequired
The unique id identifying the Node Pool.

Request

This endpoint expects an object.
labelKeystringOptional
key of node label for pool
labelValuestringOptional
value of node label for pool
placementStrategyobjectOptional
overProvisioningRatiointeger or nullOptionalDeprecated

Response

Node Pool update accepted.

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
503
Service Unavailable Error